menu_il:
  namespace: "Organisms/TM - Menus"
  use: "@organisms/tm-menu/menu-il/menu-il.twig"
  label: Inline Menu
  description: Inline Menu
  libraries:
    - menu_il_lib:
        css:
          component:
            ../styles/menu-il.css: { }

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: "my-menu"
    links:
      type: object
      label: Items
      preview:
        - lid: "_1"
          title: "Stansted Express"
          url: "/"
          icon: null
        - lid: "_2"
          title: "Transparency"
          url: "/"
          icon: null
        - lid: "_3"
          title: "Privacy Policy"
          url: "/"
          icon: null
        - lid: "_4"
          title: "Keeping you Safe and Secure"
          url: "/"
          icon: null
        - lid: "_44"
          title: "<none>"
          url: "/"
          icon: null
        - lid: "_5"
          title: "Subject Access Requests"
          url: "/"
          icon: null
        - lid: "_6"
          title: "Terms & Conditions"
          url: "/"
          icon: null
        - lid: "_7"
          title: "Sitemap"
          url: "/"
          icon: null
        - lid: "_8"
          title: "Our safer travel pledge"
          url: "/"
          icon: null
        - lid: "_9"
          title: "Book with Confidence"
          url: "/"
          icon: null

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
